/*******************************************************************************
 * FoxHudTKOTH generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxHudTKOTH extends FoxHUDTDM
    transient
    native(HUD)
    config(UI)
    hidecategories(Navigation);

var const localized string LocStringPointCaptured;
var const localized string LocStringPointCaptureAssist;
var const localized string LocStringNewPoint;
var const localized string LocStringPointActive;
var const localized string LocStringPointCaptureFail;
var const localized string LocStringAttackPoint;
var const localized string LocStringDefendPoint;
var const localized string LocStringHoldPoint;

function string GetEventName(FoxTypes.EScoreEvents EventType, optional bool bFriendly)
{
    bFriendly = true;
    switch(EventType)
    {
        // End:0x2A
        case 8:
            return LocStringPointCaptured;
            // End:0x75
            break;
        // End:0x3C
        case 9:
            return LocStringPointCaptureAssist;
            // End:0x75
            break;
        // End:0x4E
        case 6:
            return LocStringAttackPoint;
            // End:0x75
            break;
        // End:0x60
        case 7:
            return LocStringDefendPoint;
            // End:0x75
            break;
        // End:0x72
        case 11:
            return LocStringHoldPoint;
            // End:0x75
            break;
        // End:0xFFFF
        default:
            return super(FoxHUD).GetEventName(EventType);
    }
    //return ReturnValue;    
}

function NotifyPointCaptured()
{
    AddNewGameplayUpdate(LocStringPointCaptured);
    //return;    
}

function NotifyPointCaptureFail()
{
    AddNewGameplayUpdate(LocStringPointCaptureFail);
    //return;    
}

function NotifyPointActive()
{
    AddNewGameplayUpdate(LocStringNewPoint);
    //return;    
}

function NotifyPointCapturable()
{
    AddNewGameplayUpdate(LocStringPointActive);
    //return;    
}

function GetCapturedNodes(out int TotalNodes, out int OurCappedNodes, out int TheirCappedNodes)
{
    local PlayerReplicationInfo MyPRI;
    local FoxTeamInfo MyTeam;

    MyPRI = PlayerOwner.PlayerReplicationInfo;
    MyTeam = FoxTeamInfo(MyPRI.Team);
    TotalNodes = 5;
    OurCappedNodes = ((MyTeam.TeamIndex == 0) ? Team1Score : Team2Score);
    TheirCappedNodes = ((MyTeam.TeamIndex == 1) ? Team1Score : Team2Score);
    //return;    
}

defaultproperties
{
    LocStringPointCaptured="POINT CAPTURED"
    LocStringPointCaptureAssist="POINT CAPTURE ASSIST"
    LocStringNewPoint="NEW POINT INITIALIZING"
    LocStringPointActive="POINT ACTIVE"
    LocStringPointCaptureFail="POINT CAPTURE FAIL"
    LocStringAttackPoint="ATTACKED POINT"
    LocStringDefendPoint="DEFENDED POINT"
    LocStringHoldPoint="HOLD POINT"
    bShowGameCaptureStats=true
    bShowGameAttackPoints=true
    bShowGameDefendPoints=true
    GameClass=class'FoxGameMP_TKOTH'
    HudUIClass=class'FoxHudUI_TKOTH'
}